/********************************************************************************************************
 * PROGRAM      : FreeGo4
 * DATE - TIME  : dimanche 30 juillet 2006 - 13h19
 * AUTHOR       : Azevedo Filipe aka Nox PasNox ( pasnox at gmail dot com )
 * FILENAME     : Options.h
 * LICENSE      : GPL
 * COMMENTARY   : 
 ********************************************************************************************************/
#ifndef OPTIONS_H
#define OPTIONS_H
//
#include <QSettings>
#include <QPointer>
//
class Options : public QSettings
{
	Q_OBJECT
	//
public:
	static Options* current();
	static QString settingsPath();
	static void createFiles( const QString& ); // prefix
	static QString getFile( const QString&, const QString& ); // prefix, file
	//
private:
	Options( QObject* = 0 );
	//
	static QPointer<Options> mSelf;
};
//
#endif // OPTIONS_H
