#ifndef ABSTRACTROOTERWIDGET_H
#define ABSTRACTROOTERWIDGET_H

#include <QWidget>

// abstract line widget
class AbstractRooterWidget : public QWidget
{
	Q_OBJECT
public:
	AbstractRooterWidget( QWidget* parent = 0 )
		: QWidget( parent ) {}
	
	virtual QStringList datas() const = 0;
	virtual QString ip( int index ) = 0;

public slots:
	virtual void setAddLineVisible( bool visible ) = 0;
	virtual void setRemoveLineVisible( bool visible ) = 0;
	virtual void setIp( const QString& value, int index ) = 0;
	virtual void setDatas( const QStringList& datas ) = 0;
	virtual bool isValid() const = 0;

signals:
	void addLineRequested();
	void removeLineRequested();
};

#endif // ABSTRACTROOTERWIDGET_H
