/********************************************************************************************************
	* PROGRAM      : FreeGo4
	* DATE - TIME  : dimanche 30 juillet 2006 - 12h24
	* AUTHOR       : Azevedo Filipe aka Nox PasNox ( pasnox at gmail dot com )
	* FILENAME     : UIEmail.h
	* LICENSE      : GPL
	* COMMENTARY   : 
	********************************************************************************************************/
#ifndef UIEMAIL_H
#define UIEMAIL_H
//
#include "ui_UIEmail.h"
//
#include <QPointer>
//
class QTreeWidgetItem;
class QAction;
class QSettings;
//
class UIEmail : public fgDialog, public Ui::UIEmail
{
		Q_OBJECT
		//
public:
	static UIEmail* self( QWidget* = 0 );
	//
protected:
	void showEvent( QShowEvent* );
	//
private:
	UIEmail( QWidget* = 0 );
	static QPointer<UIEmail> mSelf;
	QAction* aDelete;
	//
public slots:
	void loadMailAccounts();
	void removeEmailAccount();
	void on_twEmails_itemClicked( QTreeWidgetItem*, int );
	void on_fgAdd_clicked();
	void on_fgCreate_clicked();
	void readLogin( QSettings* settings, bool error );
	void readCreateEmail( const QByteArray& buffer, bool error );
	//
};
//
#endif // UIEMAIL_H
